#
# spec file for package perl-File-Slurp-Tiny
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-File-Slurp-Tiny
Version:        0.004
Release:        8.1
%define cpan_name File-Slurp-Tiny
Summary:        Simple, Sane and Efficient File Slurper [Discouraged]
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/File-Slurp-Tiny/
Source0:        http://www.cpan.org/authors/id/L/LE/LEONT/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module provides functions for fast and correct slurping and spewing.
All functions are optionally exported.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Thu Jul 16 2015 coolo@suse.com
- updated to 0.004
  see /usr/share/doc/packages/perl-File-Slurp-Tiny/Changes
  0.004     2015-07-15 16:51:45+02:00 Europe/Amsterdam
    Add discouragement notice
    Don't skip '.
  ' amd '..
  ' in read_dir
    Don't install benchmark.pl
* Mon Mar 17 2014 coolo@suse.com
- initial package 0.003
  * created by cpanspec 1.78.07
